org.eclnt.jsfserver.elements.util

## Class FIXGRIDDummyExcelExporter

- java.lang.Object
- - org.eclnt.jsfserver.elements.util.FIXGRIDDummyExcelExporter

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDExcelExporter

      public class FIXGRIDDummyExcelExporter
      extends java.lang.Object
      implements java.io.Serializable, IFIXGRIDExcelExporter

  Export of grid content into XML. The grid's exporter creates an instance of this class and calls it via the `#exportGridToXMLSpreadSheet(FIXGRIDBinding, List, List, boolean)` method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDDummyExcelExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `exportGrid(FIXGRIDBinding fixgrid, java.util.List<ColumnInfo> columns, java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>> data, boolean selctedItemsOnly)` Main method for exporting.
    `float` | `getColumnSizeFactor()`
    `java.lang.String` | `getGridTitle()`
    `int` | `getMaxNumberOfGridRows()`
    `void` | `setColumnSizeFactor(float columnSizeFactor)` There is a calculation of column widths which is based in the width definition inside the FIXGRID component.
    `void` | `setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)` Optional call back interface which allows the exporter to get more information about individual data rows/cells.
    `void` | `setGridTitle(java.lang.String title)` Setting of title text that is printed before the grid.
    `void` | `setMaxNumberOfGridRows(int maxNumberOfGridRows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXGRIDDummyExcelExporter

          public FIXGRIDDummyExcelExporter()

  - ### Method Detail

    - #### setGridTitle

          public void setGridTitle(java.lang.String title)

      Description copied from interface: `IFIXGRIDExcelExporter`
      Setting of title text that is printed before the grid.
      Specified by:
        `setGridTitle` in interface `IFIXGRIDExcelExporter`

    - #### getGridTitle

          public java.lang.String getGridTitle()

    - #### setColumnSizeFactor

          public void setColumnSizeFactor(float columnSizeFactor)

      Description copied from interface: `IFIXGRIDExcelExporter`
      There is a calculation of column widths which is based in the width definition inside the FIXGRID component. You can influence this calculation by assigning a factor. The calculated width is multiplied with the factor after calculation. The default value of the factor is 1f representing "100%".
      Specified by:
        `setColumnSizeFactor` in interface `IFIXGRIDExcelExporter`

    - #### getColumnSizeFactor

          public float getColumnSizeFactor()

      Specified by:
        `getColumnSizeFactor` in interface `IFIXGRIDExcelExporter`

    - #### getMaxNumberOfGridRows

          public int getMaxNumberOfGridRows()

      Specified by:
        `getMaxNumberOfGridRows` in interface `IFIXGRIDExcelExporter`

    - #### setMaxNumberOfGridRows

          public void setMaxNumberOfGridRows(int maxNumberOfGridRows)

      Specified by:
        `setMaxNumberOfGridRows` in interface `IFIXGRIDExcelExporter`

    - #### exportGrid

          public byte[] exportGrid(FIXGRIDBinding fixgrid,
                                   java.util.List<ColumnInfo> columns,
                                   java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>> data,
                                   boolean selctedItemsOnly)

      Main method for exporting.
      Specified by:
        `exportGrid` in interface `IFIXGRIDExcelExporter`

    - #### setExportInfoProvider

          public void setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)

      Description copied from interface: `IFIXGRIDExcelExporter`
      Optional call back interface which allows the exporter to get more information about individual data rows/cells.
      Specified by:
        `setExportInfoProvider` in interface `IFIXGRIDExcelExporter`

Copyright © CaptainCasa Gmbh. All Rights Reserved.